<?php
include 'header.php';
include 'mysqli_connect.php';

$id = $error = "";

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    if (empty($_POST['id'])) {
        $error = "ID is required.";
    } else {
        $id = $_POST['id'];
        $sql = "DELETE FROM guestbook WHERE id = ?";
        $stmt = $conn->prepare($sql);
        $stmt->bind_param("i", $id);
        
        if ($stmt->execute()) {
            echo "Comment deleted successfully.";
        } else {
            echo "Error deleting comment: " . $conn->error;
        }
    }
}
?>

<h2>Delete Comment</h2>
<form method="post" action="delete.php">
    <label for="id">ID:</label>
    <input type="text" name="id" id="id" value="<?php echo htmlspecialchars($id); ?>"><br>
    
    <button type="submit">Delete Comment</button>
</form>
<?php if ($error) echo "<p style='color:red;'>$error</p>"; ?>

<?php include 'footer.php'; ?>
